Loading...
Searching...
No Matches
shake.hxx File Reference

SHA-3-n and SHAKE-n instances, C++ wrapper. More...

Go to the source code of this file.

## Classes

class | decaf::KeccakHash
| Hash function derived from Keccak FUTURE: throw ProtocolException when hash is misused by calling update() after output(). More...
class | decaf::SHA3< bits >
| Fixed-output-length SHA3. More...
class | decaf::SHAKE< bits >
| Variable-output-length SHAKE. More...

## Namespaces

namespace | decaf
| Namespace for all C++ decaf objects.

## Detailed Description

SHA-3-n and SHAKE-n instances, C++ wrapper.

Copyright
  Based on CC0 code by David Leon Gil, 2015
  Copyright (c) 2015 Cryptography Research, Inc.
  Released under the MIT License. See LICENSE.txt for license information.

Author
  Mike Hamburg